# On getting the atoms of a formula

Author: Óscar Martín
Last modified: May 2021



Our formulas are built using as atoms Boolean-sorted properties. To translate such formulas into standard ones, that is, ones built on propositions, we need to declare such propositions and write the equations for the `|=` operator for each of them. We could do the translation for all Boolean-sorted properties, but in many ocassions that would be overkilling, as only some of them are used in formulas. So we get the atoms from the formulas and declare propositions only for them.

Each atom produces, in the standard version of the module, two constants with the same name but different sorts. First, each property is translated as a constant of sort `<Ppt|S>`, where `S` is the property's declared sort. Second, each Boolean property that appears as an atomic formula (in an `ag` statement) needs to be declared as a proposition (sort `Prop`) on which to build the standardized formula. Thus, any Boolean property that is used in a formula produces two constants with the same name, one with sort `<Ppt|Bool>`, the other `Prop`. This happens either we are obtaining the standard version with composed transitions or the one for verification only. Up to now, this name clash has not been problematic.
