# Miscellanea notes

Author: Óscar Martín
Last modified: Apr 2021



Objects in the class `Term` can be initialized with whatever list of strings as arguments. When it is done automatically when creating the object model, each string argument comes from a token. But when I use it myself in code, I am more liberal. For example, this is the code for qualifying an equation:
```python
return Eq(Term(qr.qTermStr(str(self.lhs))),
          Term(qr.qTermStr(str(self.rhs))), self.attrs)
```
First, each term is turned into a single string, which is then qualified and used as a whole for creating a new term. Indeed, the effects of using `Term('a', 'b')` or `Term('a b')` must be the same all around.



---


`from importlib import resources` only works as such for Python 3.7 onwards. There are backports for previous versions. If these turn out to be needed, this should work (according to [RealPython](https://realpython.com/python-import/#resource-imports)):
```py
try:
    from importlib import resources
except ImportError:
    import importlib_resources as resources
```


---

