- A rule like `"sort" ID* ":" ID "."` produces an AST with a single list of 
nodes, one for each `ID`, with no separation, which makes things complicated 
for later processing. That's why I use `"sort" sort_id_list ":" ID "."` and, 
then, `sort_id_list: ID*`. In this case, I could just take the last one 
appart. In other cases, where two lists if ids appear, Lark provides means to 
make the terminal appear in the AST, so as to mark where a list ends in the 
other starts. But the way I'm doing it, giving names to each list, makes it 
easier to process the AST automatically.

- I have designed a means by which entities that are called, say, `abc_def` 
in the grammar automatically translate to classes with name `AbcDef`. The 
function `symbolToClassName` performs the name translation, and the 
expression `globals()[symbolToClassName(ast.data)]` returns a class (which 
must already have been defined) for the name (in this case, `ast.data` 
contains the name of the syntactic entity).
Furthermore, the function `symbolToClassName` discards whatever comes after 
three underscores, so that, for example, `id_list___comma` and 
`id_list___blank` translate both into `IdList`. That is, to several 
syntactic entities corresponds the same class. I'm only using it in this case 
of IdList. The reason is that lists of ids are the same thing for me, 
irrespective of whether they appear separated by blanks or commas or 
whatever, and even irrespective of whether they are allowed to be empty or 
not.
